
package features.tool;

import com.steema.teechart.Chart;
import com.steema.teechart.TChart;
import com.steema.teechart.events.ChangeEvent;
import com.steema.teechart.styles.Candle;
import com.steema.teechart.tools.ScrollPager;



public class MyScrollPager extends ScrollPager
{

	public Candle	tmpSeries;
	public Chart	chart1;




	public void dragFinished(ChangeEvent e)
	{
		super.dragFinished(e);
//		if (1==1)
//			return;

		int firstVisible = tmpSeries.getFirstVisible();
		int lastVisible = tmpSeries.getLastVisible() - 1;
		int minVisible = firstVisible;
		int maxVisible = firstVisible;
		for (int i = firstVisible; i <= lastVisible; i++)
		{
			if (tmpSeries.getYValues().getValue(i) < tmpSeries.getYValues().getValue(minVisible))
				minVisible = i;
			if (tmpSeries.getYValues().getValue(i) > tmpSeries.getYValues().getValue(maxVisible))
				maxVisible = i;
		}
		chart1.getAxes().getLeft().setMinMax(tmpSeries.getYValues().getValue(minVisible), tmpSeries.getYValues().getValue(maxVisible));

	}




	public MyScrollPager(Chart chart1, Candle tmpSeries)
	{
		super(chart1);
		this.tmpSeries = tmpSeries;
		this.chart1 = chart1;
	}
}
